Subject: bug#17746: [O] bug#17746: 24.4.50; "byte-code: `recenter'ing a window that does not display current-buffer." when composing a message

From: Daimrod <[email-masked]>
Date: Thu, 12 Jun 2014 19:12:12 +0900

Daimrod <[email-masked]> writes:

> Daimrod <[email-masked]> writes:
>
>> Nicolas Richard <[email-masked]> writes:
>>
>>> Daimrod <[email-masked]> writes:
>>>>> PS: The change about throwing an error when recentering a window
>>>>> that does not display the current buffer breaks ~37 tests in Org
>>>>> master branch, even with this fix.  I need to digg this further.
>>>>
>>>> Err, what's the rational behind this change?
>>>
>>> It is meant to catch cases where recenter acts on the wrong window.
>>> Think of the cases where (recenter) is called from within a timer or a
>>> process filter function.
>>>
>>> See the discussion entitled
>>>> comint-preoutput-filter-functions and flickering redisplay in TTY
>>> on emacs devel.
>>
>> Thanks!
>
> Okay, so is there another fix than `(when (eq (current-buffer)
> (window-buffer)))' or removing the call?
>
> If not, why does it raise an error instead of doing nothing silently?

I've read the fix in org-mode and I understand that it was a silly
question. Please ignore it.

Best,

-- 
Daimrod/Greg